import { AnnotationPanel } from '../../components/annotation/AnnotationPanel';
import { DocumentAnnotationView } from '../../components/annotation/DocumentAnnotationView';
import { TagPanel } from '../../components/annotation/TagPanel';
import { MainLayout } from '../../layouts/MainLayout';
import 'antd/dist/antd.css';
import styles from '/styles/Annotation.module.scss';
import AnnotationProvider from '../../contexts/AnnotationContext';
import TagCategoryProvider from '../../contexts/TagCategoryContext';

/**
 * Creates an annotation screen.
 * @returns The annotation screen.
 */
function Annotation() {
    return (
        <AnnotationProvider>
            <TagCategoryProvider>
                <MainLayout>
                    <div className={styles.layoutWrapper}>
                        <div className={styles.tags}>
                            <TagPanel />
                        </div>
                        <div className={styles.document}>
                            <DocumentAnnotationView />
                        </div>
                        <div className={styles.annotations}>
                            <AnnotationPanel />
                        </div>
                    </div>
                </MainLayout>
            </TagCategoryProvider>
        </AnnotationProvider>
    );
}

export default Annotation;
